#include<iostream>
using namespace std;
int main ()
{
    int L,m,n,counter=0;
    cin >> L >> m >> n;
    if (L<m || L<n)
    {
        cout << 0;
    }
    else
    {
        for (int i=0;i<=L/n;i++)
        {
            L=L-m;
            m=m+n;
            counter++;
        }
        cout << counter;
        return 0;
    }
    
}